> For the complete documentation index, see [llms.txt](https://docs.infraon.io/infraon-infinity-api-guide/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.infraon.io/infraon-infinity-api-guide/modules/service_outage.md).

# Service\_outage

## Get list of service outages

> Fetches a list of service outages for the current organization.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}}},"paths":{"/ux/common/service_outage/service_outage/":{"get":{"operationId":"ux_common_service_outage_service_outage_retrieve","description":"Fetches a list of service outages for the current organization.","summary":"Get list of service outages","tags":["service_outage"],"responses":{"200":{"description":"No response body"}}}}}}
```

## Create a service outage

> Creates a new service outage record for the current organization.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}}},"paths":{"/ux/common/service_outage/service_outage/":{"post":{"operationId":"ux_common_service_outage_service_outage_create","description":"Creates a new service outage record for the current organization.","summary":"Create a service outage","tags":["service_outage"],"responses":{"201":{"description":"No response body"}}}}}}
```

## GET /ux/common/service\_outage/service\_outage/{id}/

> Service Outage API endpoints

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}}},"paths":{"/ux/common/service_outage/service_outage/{id}/":{"get":{"operationId":"ux_common_service_outage_service_outage_retrieve_2","description":"Service Outage API endpoints","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["service_outage"],"responses":{"200":{"description":"No response body"}}}}}}
```

## PUT /ux/common/service\_outage/service\_outage/{id}/

> Service Outage API endpoints

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}}},"paths":{"/ux/common/service_outage/service_outage/{id}/":{"put":{"operationId":"ux_common_service_outage_service_outage_update","description":"Service Outage API endpoints","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["service_outage"],"responses":{"200":{"description":"No response body"}}}}}}
```

## Delete a service outage

> Deletes a specific service outage by its ID.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}}},"paths":{"/ux/common/service_outage/service_outage/{id}/":{"delete":{"operationId":"ux_common_service_outage_service_outage_destroy","description":"Deletes a specific service outage by its ID.","summary":"Delete a service outage","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["service_outage"],"responses":{"204":{"description":"No response body"}}}}}}
```

## Get service outage options

> Fetches all available options related to service outages for the current organization.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}}},"paths":{"/ux/common/service_outage/service_outage/options/":{"get":{"operationId":"ux_common_service_outage_service_outage_options_retrieve","description":"Fetches all available options related to service outages for the current organization.","summary":"Get service outage options","tags":["service_outage"],"responses":{"200":{"description":"No response body"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.infraon.io/infraon-infinity-api-guide/modules/service_outage.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
